<template>
  <a-card
    :bordered="false"
    class="card-area"
  >
      <div class="ant-alert ant-alert-info" style="margin-bottom: 16px;">
        <i class="anticon anticon-info-circle ant-alert-icon"></i> 已选择 <a style="font-weight: 600">{{ selectedRowKeys.length }}</a>项
        <a style="margin-left: 24px" @click="onClearSelected">清空</a>
      </div>
    <a-table
      ref="table"
      bordered
      size="middle"
      rowKey="id"
      :columns="columns"
      :dataSource="dataSource"
      :pagination="ipagination"
      :loading="loading"
      :rowSelection="{selectedRowKeys: selectedRowKeys, onChange: onSelectChange,type:getType()}"
      @change="handleTableChange"
    ><!--状态栏个性展示-->
    </a-table>
  </a-card> 
</template>
<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import JInput from '@/components/jeecg/JInput'
import JEllipsis from '@/components/jeecg/JEllipsis'
import { deleteAction, getAction, postAction } from '../../../../api/manage'

export default {
  name: 'WarehouseFactoryModelRight',
  mixins: [JeecgListMixin],
  components: {
    JInput,
    JEllipsis,
  },
  props:{
    mainId:{
      type:String,
      default:'',
      required:false
    },
    factoryInfo:{
      type:Object,
      default:{},
      required:false
    },
    originTargetKeys:{
      type:Array,
      required:false
    },
    addId:{
        type:String,
        default:'',
        required:false
    },
  },
  data() {
    return {
      //默认排序
      disableMixinCreated:true,
      selected:'',
      addFactoryIds:[],
      factoryType:0,
      preVisible:false,
      isorter: {
        column: 'num',
        order: 'asc',
      },
      dataSource:[],
      columns: [
        {
          title: '工厂要素编码',
          align: "center",
          dataIndex: 'code',
          scopedSlots: {
            customRender: 'code',
          },
          sorter: true,
          width:130
        },
        {
          title: '工厂要素名称',

          align: "center",
          dataIndex: 'name',
          scopedSlots: {
            customRender: 'name',
          },
          sorter: true,
          width:150
        },
      ],
      url: {
        list: "/base/productionLineWarehouse/factorylist",
      },
    };
  },
  methods: {
    onSelectChange(selectedRowKeys, selectionRows) {
        this.selectedRowKeys = selectedRowKeys;
        this.selectionRows = selectionRows;
        this.addFactoryIds=selectionRows;
    },
   clearSelectList(){
    this.addFactoryIds=[];
    this.selectedRowKeys=[];
   },
   getSelected(){
    var ids = "";
        for (var a = 0; a < this.originTargetKeys.length; a++) {
          ids += this.originTargetKeys[a] + ",";
        }
    this.selected=ids;
   } ,
   getType(){
      if(!this.addId||this.addId==''){
          return 'checkbox'
      }else{
          return 'radio'
      }
     }
  },
  created(){
   this.getSelected();
  },
  watch: {
    factoryInfo:{
       immediate:true,
       deep:true,
       handler(val) {
        this.queryParam["parentId"]=val.parentId;
        this.queryParam["version"]=val.version;
        this.queryParam["selected"]=this.selected;
        this.loadData(1);
       }
     },
     addFactoryIds:{
       immediate:true,
       deep:true,
       handler(val){
        this.$emit("getAddFactoryIds",val);
       }
     }
  },
}
</script>
<style>
@import '~@assets/less/common.less';

.frozenRowClass {
  color: #c9c9c9;
}
.success {
  color: green;
}
.error {
  color: red;
}
.fontweight {
  font-weight: bold;
}
.notShow{
  display: none
}
</style>